## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class TableComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.ComboBoxCellEditor
              org.eclipse.datatools.sqltools.common.ui.tableviewer.TableComboBoxCellEditor

    public class TableComboBoxCellEditor

extends org.eclipse.jface.viewers.ComboBoxCellEditor

Author:
  lihuang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary
`static int` `DROP_DOWN_ON_KEY_ACTIVATION`
`static int` `DROP_DOWN_ON_MOUSE_ACTIVATION`
`static int` `DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION`
`static int` `DROP_DOWN_ON_TRAVERSE_ACTIVATION`
`static int` `VISIBLE_ITEM_COUNT`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer, org.eclipse.swt.widgets.Composite parent, java.lang.String[] items, int style)`
`TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer, java.lang.String[] items)` Creates a new cell editor with a combo containing the given list of choices and parented under the given table which is in `AccessibleTableViewer`.
`TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer, java.lang.String[] items, int style)` Creates a new cell editor with a combo containing the given list of choices and parented under the given table which is in `AccessibleTableViewer`.

Method Summary
`void` `activate(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent arg0)`
`org.eclipse.swt.custom.CCombo` `getCombo()`
`void` `setActivationStyle(int arg0)`
`void` `setItems(java.lang.String[] items)`

Methods inherited from class org.eclipse.jface.viewers.ComboBoxCellEditor
`getItems, getLayoutData`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, deactivate, dispose, getControl, getErrorMessage, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VISIBLE_ITEM_COUNT

    public static final int VISIBLE_ITEM_COUNT

See Also:
  Constant Field Values

### DROP_DOWN_ON_MOUSE_ACTIVATION

    public static final int DROP_DOWN_ON_MOUSE_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_KEY_ACTIVATION

    public static final int DROP_DOWN_ON_KEY_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

    public static final int DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_TRAVERSE_ACTIVATION

    public static final int DROP_DOWN_ON_TRAVERSE_ACTIVATION

See Also:
  Constant Field Values

Constructor Detail

### TableComboBoxCellEditor

    public TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer,
                                   org.eclipse.swt.widgets.Composite parent,
                                   java.lang.String[] items,
                                   int style)

### TableComboBoxCellEditor

    public TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer,
                                   java.lang.String[] items)

  Creates a new cell editor with a combo containing the given list of choices and parented under the given table which is in `AccessibleTableViewer`. The cell editor value is the zero-based index of the selected item.

  Parameters:
    `accessibleTableViewer` - AccessibleTableViewer
    `items` - the list of strings for the combo box

### TableComboBoxCellEditor

    public TableComboBoxCellEditor(AccessibleTableViewer accessibleTableViewer,
                                   java.lang.String[] items,
                                   int style)

  Creates a new cell editor with a combo containing the given list of choices and parented under the given table which is in `AccessibleTableViewer`. The cell editor value is the zero-based index of the selected item.

  Parameters:
    `accessibleTableViewer` - AccessibleTableViewer
    `items` - the list of strings for the combo box
    `style` - the style bits

Method Detail

### setItems

    public void setItems(java.lang.String[] items)

  Overrides:
    `setItems` in class `org.eclipse.jface.viewers.ComboBoxCellEditor`

### getCombo

    public org.eclipse.swt.custom.CCombo getCombo()

### activate

    public void activate(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent arg0)

  Overrides:
    `activate` in class `org.eclipse.jface.viewers.CellEditor`

### setActivationStyle

    public void setActivationStyle(int arg0)